Skip to main content
`Ctrl`+`K`

# DMGetDMSNES

get read-only private `DMSNES` context from a `DM`

## Synopsis

    #include "petscsnes.h"
    #include "petscdm.h"
    PetscErrorCode DMGetDMSNES(DM dm, DMSNES *snesdm)

Not Collective

## Input Parameter

- dm - `DM` to be used with `SNES`

## Output Parameter

- snesdm - private `DMSNES` context

## Note

Use `DMGetDMSNESWrite()` if write access is needed. The DMSNESSetXXX API should be used wherever possible.

## See Also

SNES: Nonlinear Solvers, `DMSNES`, `DMGetDMSNESWrite()`

## Level

developer

## Location

src/snes/utils/dmsnes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages